Create account

Create account. See the OpenAPI-defined parameters, request body, and responses below.

POST /Account

Create account. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria uma nova conta com os dados fornecidos no corpo da requisição.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: AccountDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——

Example request

curl --request POST \
  --url 'https://api.zild.ai/Account' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "legalName": "string",
  "site": "string",
  "linkedInUrl": "string",
  "email": "string",
  "taxId": "string",
  "enabled": true,
  "customerTenantId": 0
}'

Responses

StatusDescriptionResponse body
200Conta criada com sucessoapplication/json · AccountDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "legalName": "string",
  "site": "string",
  "linkedInUrl": "string",
  "email": "string",
  "taxId": "string",
  "enabled": true,
  "customerTenantId": 0
}

Data models

AccountDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——